Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.source
Class LineRange

    java.lang.Object
      org.eclipse.jface.text.source.LineRange

All Implemented Interfaces:
  ILineRange

public final class LineRange
extends Object
implements ILineRange

Default implements of `LineRange`.

Since:
  3.0

Constructor Summary
`LineRange(int startLine, int numberOfLines)` Creates a new line range with the given specification.

Method Summary
`int` | `getNumberOfLines()` Returns the number of lines of this line range or `-1`.
`int` | `getStartLine()` Returns the start line of this line range or `-1`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineRange

    public LineRange(int startLine,
                     int numberOfLines)

  Creates a new line range with the given specification.

Parameters:
  `startLine` - the start line
  `numberOfLines` - the number of lines

Method Detail

### getStartLine

    public int getStartLine()

  Description copied from interface: `ILineRange`
  Returns the start line of this line range or `-1`.

  Specified by:
    `getStartLine` in interface `ILineRange`
  Returns:
    the start line of this line range or `-1` if this line range is invalid.

### getNumberOfLines

    public int getNumberOfLines()

  Description copied from interface: `ILineRange`
  Returns the number of lines of this line range or `-1`.

  Specified by:
    `getNumberOfLines` in interface `ILineRange`
  Returns:
    the number of lines in this line range or `-1` if this line range is invalid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.